#include <bits/stdc++.h>
using namespace std;

int main()
{
    int N;
    cin >> N;
    int X[N],Y[N],Z[N];
    for(int i = 0; i < N; i++){
        cin >> X[i];
    }
    for(int i = 0; i < N; i++){
        cin >> Y[i];
    }
    for(int i = 0; i < N; i++){
        cin >> Z[i];
    }
    int brojac = 0;
    for(int i = 0; i < N; i++){
        for(int j = 0; j < N; j++){
                if(X[i] == Y[j]){
                    for(int k = 0; k < N; k++){
                            if(Z[k] == j + 1){
                                brojac++;
                            }
                    }
                }
        }
    }
    cout << brojac;
    return 0;
}